% Programmation séquentielle en C
% Introduction générale
% 18 septembre 2019

# La hotline
Nom                    Mél                               Bureau
--------------------   ------------------------------    --------------------
Orphée Antoniadis      orphee.antoniadis@hesge.ch        I305
Pierre Buffo           pierre.buffo@hesge.ch             I305
Pierre Kunzli          pierre.kunzli@hesge.ch            A403
Paul Albuquerque       paul.albuquerque@hesge.ch         B410
Orestis Malaspinas     orestis.malaspinas@hesge.ch       A401
--------------------   ------------------------------    --------------------

Utilisez le libre service (l'horaire sera fixé prochainement).

# Cyberlearn

Tout le contenu de ce qu'on raconte se trouve sur cyberlearn:

- Algorithmes et structures de données
  - <https://cyberlearn.hes-so.ch/course/view.php?id=13941>
  - Clé d'inscription: algo_2019_20

- Programmation Sequentielle en C
  - <https://cyberlearn.hes-so.ch/course/view.php?id=12399>
  - Clé d'inscription: PS_2018


# Organisation du cours (1/N)

## But: Illustration des concepts vus au cours d'algorithmique

- Salle A502 pour la "théorie" (présentation langage et TPs).
- Salles A432-A433 pour la "pratique".

## Le bâton

- Présence en cours obligatoire (13h-16h45 tous les mercredis).

## La carotte

- Rare cours d'informatique de première.
- Travaux pratiques amusants et stimulants.

# Organisation du cours (2/N)

- Projets à faire en C.
- Les projets doivent compiler sur les machines de l'école $\Rightarrow$ utilisation de Linux obligatoire.
- Chaque projet aura un dépôt git propre sur <https://githepia.hesge.ch/>
- **Utilisez uniquement Linux** (dual boot ou machine virtuelle sur vos portables).
- Les ordinateurs de l'école c'est bien aussi.

# Évaluations

## Deux projets notés par semestre

- Chaque projet ($\sim 7$ semaines) est composé de plusieurs parties.
- Chaque partie contribue à la note du projet.
- La note finale est composée également d'une évaluation orale qui a lieu à la fin du projet.
- Moralité: Ne vous y mettez pas au dernier moment.

## Les deux projets du semestre

- Librairie de traitement d'images.
- Représentation 3d du canton de Genève à partir de données LIDAR.

# Questions?

- Posez toutes vos questions maintenant, ou taisez-vous à jamais!

